Api 1.0 to 1.1 bad autentication


#1

our api just stop of work 4 hours ago…

look
Fatal error: Uncaught exception ‘EpiTwitterBadRequestException’ with message ‘{“errors”:[{“message”:“Bad Authentication data”,“code”:215}]}’ in /home/vivox/public_html/twittercast/EpiTwitter.php:257 Stack trace: #0 /home/vivox/public_html/twittercast/EpiTwitter.php(221): EpiTwitterException::raise(Object(EpiCurlManager), false) #1 /home/vivox/public_html/twittercast/EpiTwitter.php(122): EpiTwitterJson->__get(‘response’) #2 /home/vivox/public_html/twittercast/EpiTwitter.php(44): EpiTwitter->request(‘POST’, ‘/statuses/updat…’, Array) #3 /home/vivox/public_html/twittercast/twittercast.php(144): EpiTwitter->post(’/statuses/updat…’, Array) #4 {main} thrown in /home/vivox/public_html/twittercast/EpiTwitter.php on line 257

The api is called twittercast is an automatic post status of shoutcast server to twitter

Can any one help???

i changed from 1.0 to 1.1 and nothing work, just error…
’{“errors”:[{“message”:“Bad Authentication data”,“code”:215}]}’ in /home/vivox/public_html/twittercast/EpiTwitter.php:257


#2

API v1.1 requires authentication. [node:3062] is a good place to learn about access tokens and authentification. Just changing from /1/ to /1.1/ is not enough.